Skip to main content

Find Short Term

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTqdrant.qdrant-find-short-term

Search the short-term memory cache collection.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-short-term-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-short-term",
"arguments": {
"query": "query_example",
"memory_filter": "",
"top_k": "",
"use_mmr": false,
"mmr_lambda": 1
}
}
}

Arguments Schema

{
"$defs": {
"MemoryFilterInput": {
"additionalProperties": true,
"properties": {
"type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"entities": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"labels": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"related_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"scope": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"created_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"confidence_min": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"confidence_max": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"text_hash": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"properties": {
"query": {
"type": "string"
},
"memory_filter": {
"anyOf": [
{
"$ref": "#/$defs/MemoryFilterInput"
},
{
"type": "null"
}
]
},
"top_k": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"use_mmr": {
"type": "boolean"
},
"mmr_lambda": {
"type": "number"
}
},
"required": [
"query"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-short-term-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-short-term",
"arguments": {
"query": "query_example",
"memory_filter": "",
"top_k": "",
"use_mmr": false,
"mmr_lambda": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool qdrant.qdrant-find-short-term executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}